package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店库存查询信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnMdkcStoreproductstockService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnMdkcStoreproductstock(PageData pd)throws Exception {
        return daoSupport.update("SKcKnMdkcStoreproductstockMapper.addSKcKnMdkcStoreproductstock", pd);
    }

    public List<PageData> findSKcKnMdkcStoreproductstockList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnMdkcStoreproductstockMapper.selectSKcKnMdkcStoreproductstockList", pd);
    }

    public Integer SKcKnMdkcStoreproductstockRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnMdkcStoreproductstockMapper.SKcKnMdkcStoreproductstockRemove", pd);
    }


    public Integer updateSKcKnMdkcStoreproductstock(PageData pd)throws Exception {
        return daoSupport.update("SKcKnMdkcStoreproductstockMapper.updateSKcKnMdkcStoreproductstock", pd);
    }

}
